petsc-3.4.2 2013-07-02

# PCBDDC

Balancing Domain Decomposition by Constraints.

### Options Database Keys

-pcbddc ??? -

Notes: The matrix used with this preconditioner must be of type MATIS

Unlike more 'conventional' interface preconditioners, this iterates over ALL the degrees of freedom, NOT just those on the interface (this allows the use of approximate solvers on the subdomains).

Options for the coarse grid preconditioner can be set with - Options for the Dirichlet subproblem can be set with - Options for the Neumann subproblem can be set with -

Contributed by Stefano Zampini

### See Also

PCCreate(), PCSetType(), PCType (for list of available types), PC, MATIS

Level:intermediate
Location:src/ksp/pc/impls/bddc/bddc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages